export const projectsList = {
  react: [
    {
      id: 1,
      title: "Netflix-GEMINI",
      desc: "Movie Streaming Application",
      link: "https://seyoonpuvi.github.io/Netflix-Gemini/",
      githubLink: "https://github.com/seyoonPuvi/Netflix-Gemini/",
      imageUrl: "https://i.postimg.cc/9MTttwJN/netflix-1.png",
      projectOverview:
        "Netflix-GEMINI is a movie streaming application that allows users to explore and watch a wide variety of movies. The app features a responsive design, personalized movie recommendations powered by GEMINIAI, and movie trailers for an engaging user experience.",
      projectHighlights: [
        "User Authentication (Login, Sign Up, Sign Out)",
        "Now Playing Movies with Trailer Integration",
        "Personalized Movie Suggestions with GEMINIAI",
        "Responsive Design with TailwindCSS",
        "Real-time Updates with Redux Store",
        "Multi-language Support",
        "Movie Card Click to Show Trailer, Movie Info, and Similar Movie Suggestions",
      ],
      projectTechStack: [
        "React",
        "Redux",
        "TailwindCSS",
        "GEMINIAI",
        "Firebase",
        "TMDB API",
      ],
    },
    {
      id: 2,
      title: "Nxt-Trends",
      desc: "Ecommerce Shopping Website",
      link: "https://VKtrnd.ccbp.tech",
      githubLink: "https://github.com/seyoonPuvi/NXT-Trends-Ecom",
      imageUrl: "https://i.postimg.cc/bJ88zkjV/shopping.png",
      projectOverview:
        "Nxt-Trends is an ecommerce website that allows authenticated users to manage their cart, view products, and enjoy personalized deals based on their user status (Prime or Normal). The website is built using class components, showcasing my proficiency in managing state, props, and lifecycle methods in React class components.",
      projectHighlights: [
        "User Authentication (Login, Redirect to Login Page for Unauthenticated Users)",
        "Prime Deals for Prime Customers, Normal Deals for Regular Customers",
        "Search Bar for Product Search",
        "Category Filter for Easier Product Discovery",
        "Sort By Feature to Organize Product Listings",
        "404 Not Found Route for Invalid URLs",
        "Built with Class Components to Showcase React Class Component Skills",
        "Responsive Design with React Context for Cart Management",
      ],
      projectTechStack: [
        "React (Class Components)",
        "CSS",
        "JavaScript",
        "JWT (JSON Web Token)",
        "Cookies",
        "React Context API",
      ],
    },
    {
      id: 3,
      title: "Nxt-Watch",
      desc: "Online Video Streaming Application",
      link: "https://VKWcH.ccbp.tech",
      githubLink: "https://github.com/seyoonPuvi/VK-NXT-Watch",
      imageUrl: "https://i.postimg.cc/85BpWwHV/video.png",
      projectOverview:
        "Nxt-Watch is an online video streaming application where users can log in to watch videos across multiple categories like Home, Trending, Gaming, and Saved Videos. It includes a detailed video player with options for liking, disliking, and saving videos. The app is built using React and showcases class components for managing authentication, video list rendering, and theme switching.",

      projectHighlights: [
        "User Authentication with Login/Logout and Redirects for Unauthenticated Users",
        "Search Functionality for Video Discovery",
        "Video Details with React-Player Integration for Streaming",
        "Ability to Like, Dislike, and Save Videos to Personal Collection",
        "Responsive Design with Light and Dark Themes Toggle",
        "React Popup Library for Logout Confirmation",
        "Handled Failure View for Each Route and Functionality",
        "Loading Spinner Displayed While Fetching Data",
      ],

      projectTechStack: [
        "React (Class Components)",
        "CSS",
        "JavaScript",
        "React-Player for Video Streaming",
        "JWT (JSON Web Token) for Authentication",
        "Cookies for Storing JWT Token",
        "React Context for Theme and Video Management",
        "React Popup Library for Logout Confirmation",
      ],
    },
    {
      id: 4,
      title: "Jobby-App",
      desc: "Online Job Seeking Application",
      link: "https://Vkjb.ccbp.tech",
      githubLink: "https://github.com/seyoonPuvi/Jobby-App-react",
      imageUrl: "https://i.postimg.cc/RCLhnCsn/job.png",
      projectOverview:
        "Jobby-App is an online job seeking application where authenticated users can search, filter, and view job listings. The app supports features like user authentication, search functionality, and job details viewing. It handles loading states and displays appropriate failure views in case of errors during data fetching. The app is built using React and incorporates class components for managing authentication and API requests.",

      projectHighlights: [
        "User Authentication with Login/Logout and Redirects for Unauthenticated Users",
        "Job Search Functionality with Filters for Employment Type and Salary Range",
        "View Detailed Job Information and Similar Jobs",
        "Failure Handling with Retry Option on API Failures",
        "Handled Failure View for Each Route and Functionality",
        "Loading Spinner Displayed While Fetching Data",
        "Responsive Design for Different Screen Sizes",
        "React Popup Library for Logout Confirmation",
      ],

      projectTechStack: [
        "React (Class Components)",
        "CSS",
        "JavaScript",
        "JWT (JSON Web Token) for Authentication",
        "Cookies for Storing JWT Token",
        "React Popup Library for Logout Confirmation",
        "React Router for Navigation",
      ],
    },
    {
      id: 5,
      title: "Insta-Share",
      desc: "Social Media Application",
      link: "https://Vkinstashare.ccbp.tech",
      githubLink: "https://github.com/seyoonPuvi/insta-share",
      imageUrl: "https://i.postimg.cc/q7k2yCkW/instagram.png",
      projectOverview:
        "Insta-Share is a social media application where users can log in to share and interact with posts. Users can like/unlike posts, search for posts, and navigate between their profile, home feed, and other routes. The app handles loading states and displays failure views when necessary. It also ensures that authenticated users are able to access the required routes, and unauthenticated users are redirected to the login page. The app uses React with class components for route management and data fetching.",

      projectHighlights: [
        "User Authentication with Login/Logout and Redirects for Unauthenticated Users",
        "Home Route displaying User Stories and Posts with Data Fetching",
        "Like/Unlike Functionality for Posts with Dynamic Like Count Update",
        "Search Functionality to Search Posts by Caption",
        "Profile Routes with Post Lists and Post Grid View",
        "Responsive Design for Mobile, Tablet, and Desktop Views",
        "Error Handling with Retry Option for Failed API Requests",
        "Failure Views for Data Fetching Unsuccessfully",
        "React-Icons for Like, Comment, Share, and Post Interactions",
        "Not Found Route for Invalid Paths",
      ],

      projectTechStack: [
        "React (Class Components)",
        "CSS",
        "JavaScript",
        "JWT (JSON Web Token) for Authentication",
        "Cookies for Storing JWT Token",
        "React Router for Navigation",
        "React-Icons for Post Interactions",
      ],
    },
    {
      id: 6,
      title: "RPS-Game",
      desc: "Rock Paper Scissors Game",
      link: "https://VKRPS.ccbp.tech",
      githubLink: "https://github.com/seyoonPuvi/RPS-GAME",
      imageUrl: "https://i.postimg.cc/sx5ShD6f/game-over.png",
      projectOverview:
        "RPS-Game is a simple Rock Paper Scissors game built with React. The game allows users to choose between rock, paper, or scissors and play against the computer. The result of the game is displayed using a React Popup, which shows whether the user won, lost, or tied. Additionally, the game includes a popup that explains the rules of the game. The app is responsive and easy to use, providing a fun and interactive experience for the users.",

      projectHighlights: [
        "Rock Paper Scissors Game with User vs. Computer",
        "Result Displayed in a React Popup",
        "Popup for Game Rules Explanation",
        "Responsive Design for Different Devices",
        "Simple and Intuitive Interface",
      ],

      projectTechStack: [
        "React (Functional Components)",
        "CSS",
        "JavaScript",
        "React Popup Library for Displaying Results and Game Rules",
      ],
    },
    {
      id: 7,
      title: "Gradient-Generator",
      desc: "CSS Gradient Generator Application",
      link: "https://VKCSSGradient.ccbp.tech",
      githubLink: "https://github.com/seyoonPuvi/CSS-gradient-Generator",
      imageUrl: "https://i.postimg.cc/ZnYZrwj9/color-circle.png",
      projectOverview:
        "Gradient-Generator is a simple web application built using React that allows users to create custom CSS gradients. The app provides an intuitive interface where users can choose two colors, and it will generate a gradient for them in CSS code. The generated gradient can be copied directly and used in their projects. The app also features a preview of the gradient, giving users a real-time view of their custom creation.",

      projectHighlights: [
        "CSS Gradient Generator with Multiple Color Options",
        "Real-Time Preview of the Generated Gradient",
        "CSS Code Copy Feature for Easy Use",
        "Simple and Intuitive User Interface",
        "Responsive Design for Different Devices",
      ],

      projectTechStack: ["React (Functional Components)", "CSS", "JavaScript"],
    },
  ],
  webdesign: [
    {
      id: 1,
      title: "VK-Studio",
      desc: "PhotoGraphic Landing Portfolio",
      link: "https://seyoonpuvi.github.io/VKstudio-Responsive_Website/",
      githubLink: "https://github.com/seyoonPuvi/VKstudio-Responsive_Website",
      imageUrl: "https://i.postimg.cc/pLHp9hx8/camera.png",
      projectOverview:
        "Vk Studio is a beautifully crafted web design project designed as a landing page for a photography studio. The website showcases an elegant and visually appealing layout, tailored to highlight the studio's services and portfolio.",
      projectHighlights: [
        "Responsive Design",
        "Image Gallery",
        "Services Section",
        "Modern Aesthetics",
      ],
      projectTechStack: ["HTML5", "CSS3", "JavaScript"],
    },
    {
      id: 2,
      title: "VK-Fit",
      desc: "Fitness Center Landing Portfolio",
      link: "https://seyoonpuvi.github.io/VK-Fitness/",
      githubLink: "https://github.com/seyoonPuvi/VK-Fitness",
      imageUrl: "https://i.postimg.cc/cCtNhm7H/weightlifting.png",
      projectOverview:
        "VK-Fit is a web design project created as a landing page for a fitness center. The website is designed using an adaptive layout, ensuring optimal user experience across various devices with fixed screen dimensions. It features visually appealing sections with engaging hover effects to enhance interactivity. The styling for the page was done using SASS, allowing for a more modular and maintainable CSS structure.",
      projectHighlights: [
        "Adaptive Web Design Layout",
        "Cool Hover Effects",
        "Dedicated Sections for Services and Programs",
        "Engaging Visual Appeal",
        "SASS for Styling",
      ],
      projectTechStack: ["HTML5", "SASS", "JavaScript"],
    },
    {
      id: 3,
      title: "Landing Pro",
      desc: "Landing Page Design Template",
      link: "https://seyoonpuvi.github.io/landingpage-template/",
      githubLink: "https://github.com/seyoonPuvi/landingpage-template",
      imageUrl: "https://i.postimg.cc/h47gqD54/landing-page.png",
      projectOverview:
        "Landing Pro is a professional design template crafted for building elegant and modern landing pages. This template includes multiple well-structured sections, cool hover effects, and a dark theme toggle for an enhanced user experience. Additionally, the parallax scrolling effect adds a dynamic and engaging visual appeal.",
      projectHighlights: [
        "Well-structured Sections",
        "Cool Hover Effects",
        "Dark Theme Toggle",
        "Parallax Scrolling Effect",
        "Professional Design Aesthetics",
      ],
      projectTechStack: [
        "HTML5",
        "CSS-in-JS (Styled Components)",
        "JavaScript",
      ],
    },
    {
      id: 4,
      title: "Web-VR",
      desc: "VR Product Promotion Website",
      link: "https://vkvrpage.ccbp.tech",
      githubLink: "https://vkvrpage.ccbp.tech",
      imageUrl: "https://i.postimg.cc/d0R3mqsX/virtual-glasses.png",
      projectOverview:
        "Web-VR is a website dedicated to showcasing VR products and their features. Designed with a clean and modern layout, the website provides comprehensive information about VR technology and products. The entire site is built using Bootstrap, ensuring a responsive and consistent design.",
      projectHighlights: [
        "Fully Responsive Design",
        "Bootstrap-based Development",
        "Modern and Clean Layout",
        "Focused on VR Product Details",
      ],
      projectTechStack: ["HTML5", "CSS3", "Bootstrap"],
    },
  ],
  javascript: [
    {
      id: 1,
      title: "FLAMES-APP",
      desc: "90's Kids Nostalgic Game",
      link: "https://seyoonpuvi.github.io/FLAMES-JS/",
      githubLink: "https://github.com/seyoonPuvi/FLAMES-JS",
      imageUrl: "https://i.postimg.cc/150z17S1/love.png",
      projectOverview:
        "FLAMES Game is a nostalgic game from the 90's, designed to predict the relationship between a boy and a girl in a fun and engaging way. This project brings the classic game to life using JavaScript, showcasing both its entertaining nature and the logical string manipulation involved.",

      projectHighlights: [
        "User-Friendly Interface for Easy Name Input",
        "Real-Time Calculation of Relationship Prediction",
        "Clear Instructions on How to Play the Game",
        "Fun and Interactive Experience Reminiscent of Childhood Memories",
      ],

      projectTechStack: [
        "HTML for Game Structure",
        "CSS for Styling the Interface",
        "JavaScript for FLAMES Calculation Logic",
      ],
    },
    {
      id: 2,
      title: "VK-ScreenCapture",
      desc: "Screen Cast and Screen Capture Website",
      link: "https://seyoonpuvi.github.io/Capture-Cast-JS/",
      githubLink: "https://github.com/seyoonPuvi/Capture-Cast-JS",
      imageUrl:
        "https://i.postimg.cc/g02jDVfF/ooooooooooooooooooooooooooooooooooo.png",
      projectOverview:
        "VK-ScreenCapture is a sophisticated Screen Capture Web Application that includes Picture-in-Picture (PiP) mode. It allows users to capture their entire screen, specific windows, or browser tabs in real time. With the PiP mode, users can monitor their screen capture in a floating window while multitasking. The app is built using HTML, CSS, and JavaScript, powered by the WebRTC API for real-time communication, and designed for cross-browser compatibility.",

      projectHighlights: [
        "Real-Time Screen Capture of Entire Screen, Windows, or Tabs",
        "Picture-in-Picture (PiP) Mode for Multitasking",
        "Cross-Browser Compatibility for Major Desktop Browsers",
        "Developed with HTML, CSS, JavaScript, and WebRTC API",
      ],

      projectTechStack: [
        "HTML for Structure",
        "CSS for Styling",
        "JavaScript for Functionality",
        "WebRTC API for Real-Time Communication",
      ],
    },
    {
      id: 3,
      title: "Infinite-Scroller",
      desc: "Image Gallery",
      link: "https://seyoonpuvi.github.io/InfiniteScroller-JS/",
      githubLink: "https://github.com/seyoonPuvi/InfiniteScroller-JS",

      imageUrl: "https://i.postimg.cc/Pxcj1Yk4/picture.png",
      projectOverview:
        "Infinite-Scroller is an innovative image surfing application that leverages the Unsplash API to provide an endless browsing experience. The key feature is infinite scroll functionality, allowing users to continuously load new images as they scroll down the page, without the need for pagination or manual navigation. The application also provides high-quality, royalty-free images from Unsplash and includes a responsive design optimized for various devices.",

      projectHighlights: [
        "Infinite Scrolling for Seamless Image Browsing",
        "Responsive Design for Optimal Viewing on Any Device",
        "Access to a Vast Library of High-Quality Images from Unsplash",
        "Loading Indicators to Improve User Experience During Content Fetching",
        "Performance Optimization for Smooth and Fast Image Rendering",
      ],

      projectTechStack: [
        "HTML for Structure",
        "CSS for Styling and Responsive Design",
        "JavaScript for Infinite Scrolling and API Integration",
        "Unsplash API for Accessing High-Quality Images",
      ],
    },
    {
      id: 4,
      title: "VK-Weather-App",
      desc: "Weather application with interactive background",
      link: "https://seyoonpuvi.github.io/WeatherApp-JS/",
      githubLink: "https://github.com/seyoonPuvi/WeatherApp-JS",

      imageUrl: "https://i.postimg.cc/xTm0yx8b/cloudy.png",
      projectOverview:
        "VK-Weather-App is a weather application that not only provides weather details but also features a dynamic video background, enhancing the user experience with a visually interactive atmosphere based on the current weather conditions. The app offers real-time weather information, including temperature, humidity, and weather status, along with an engaging background that changes to match the weather, such as sunny, rainy, or cloudy scenes.",

      projectHighlights: [
        "Real-Time Weather Information for Current Location or Search",
        "Dynamic Video Background Based on Weather Conditions",
        "Interactive and Visually Engaging User Interface",
        "User-Friendly Design for Easy Access to Weather Data",
        "Cross-Browser Compatibility",
      ],

      projectTechStack: [
        "HTML for Structure",
        "CSS for Styling and Dynamic Backgrounds",
        "JavaScript for Weather Data Fetching and Background Control",
        "OpenWeather API for Real-Time Weather Data",
      ],
    },
  ],
  fullstack: [],
};

export const TabList = [
  {
    id: "webdesign",
    displayName: "WEBDESIGN",
  },
  {
    id: "react",
    displayName: "REACT",
  },
  {
    id: "javascript",
    displayName: "JAVASCRIPT",
  },
  {
    id: "fullstack",
    displayName: "FULLSTACK",
  },
];
